
CREATE TABLE RB_FOLDER (
  FOLDER_ID NUMBER(6, 0) DEFAULT 0,
  FOLDER_NAME CHAR(60),
  PARENT_ID NUMBER(6, 0) DEFAULT 0 );

CREATE INDEX FOLDER_IDX ON RB_FOLDER (FOLDER_ID);
CREATE INDEX PARENT_IDX ON RB_FOLDER (PARENT_ID);

CREATE SEQUENCE FOLDER_ID_SEQ  START WITH 1  INCREMENT BY 1  MAXVALUE 999999  MINVALUE 1 nocache;


CREATE TABLE RB_ITEM (
  ITEM_ID NUMBER(6, 0) DEFAULT 0 ,
  FOLDER_ID NUMBER(6, 0) DEFAULT 0,
  ITEM_NAME CHAR(60),
  ITEM_SIZE NUMBER(6, 0) DEFAULT 0,
  ITEM_TYPE NUMBER(6, 0) DEFAULT 0,
  MODIFIED NUMBER,
  DELETED NUMBER,
  TEMPLATE BLOB);

CREATE INDEX ITEM_IDX ON RB_ITEM (ITEM_ID);
CREATE INDEX FOLDER_ITEM_NAME_IDX ON RB_ITEM (FOLDER_ID, ITEM_TYPE, ITEM_NAME);

CREATE SEQUENCE ITEM_ID_SEQ  START WITH 1  INCREMENT BY 1  MAXVALUE 999999  MINVALUE 1;



